/* defult global styles */
@import url('https://fonts.googleapis.com/css?family=Open+Sans');

:root {
  --dark-green: #466830;
  --medium-green: #86af6b;
  --regular-green: #80c156;
  --light-green: #98d372;
  --dark-red: #722837;
  --regular-red: #cc4458;
  --medium-red: #ba3040;
  --dark-navy: #161a1e;
  --background-navy: #191e23;
  --regular-navy: #252c36;
  --medium-navy: #384555;
  --navy-headers: #313d4c;
  --dark-text: #4e5863;
  --light-text: #b0bac1;
  --sidebar-background: #23292d;
  --sidebar: #2e353d;
  --sidebar-header: #727c84;
  --sidebar-text: #747f89;
  --sidebar-light-text: #b0bac1;
  --neutral-gray: #cccccc;
  --bitcoin-yellow: #ebc256;
  --header-background: #252C36;
  --header-color: #B0BAC1;
  --nav-background: #161A1E;
  --exchange-type-color: #80C156;
  --table-header-background: #313D4C;
  --table-color: #4E5863;
  --table-row-hover-background: rgba(116, 127, 137, .4);
  --exchange-buy-color: #BA3040;
  --bid-average-color: #747F89;
  --bid-average-value-color:#D5DCE0;
  --bid-border: #86AF6B;
  --ask-border: #D23447;
  --bid-hover-background: rgba(134, 175, 107, .4);
  --ask-hover-background: rgba(186, 48, 64, .4);
  --markets-toggle-background: #2E353D;
  --markets-header-background: #727C84;
  --markets-content-background: #23292D;
  --buy-color: #CC4458;
  --theme-toggle-background: #161A1E;
  --theme-toggle-light-color: #ff9e22;
  --theme-toggle-dark-color: #5300e8;
  --header-stat-color: white;
  --table-last-trades-color: white;
}

html,
body {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  font-family: 'Open Sans', 'sans-serif', 'DINPro Regular';
}

#root {
  display: flex;
  height: 100%;
  width: 100%;
  flex-direction: column;
}

#root > .page {
  flex: 1;
  display: flex;
  flex-direction: column;
}

#root > .page > main {
  background: var(--background-navy);
  flex: 1;
  color: var(--light-text);
  overflow-y: auto;
}

#root > .page * {
  transition: background-color 1s;
}

#root > .page.light {
  --background-navy: #eaeaea;
  --light-text: #676767;
  --table-header-background: #d3d6d7;
  --header-color: #4f5051;
  --nav-background: #d3d6d7;
  --header-stat-color: #4f5051;
  --table-last-trades-color: #4f5051;
  --header-background: #eaeaea;
  --theme-toggle-background: #d3d6d7;
  --markets-toggle-background: #d3d6d7;
  --markets-header-background: rgba(0, 0, 0, .2);
  --markets-content-background: #eaeaea;
  --medium-navy: #d3d6d7;
  --sidebar: rgba(255, 255, 255, .9);
}

.loading {
  display: flex;
  justify-content: center;
  align-items: center;
  color: transparent;
  position: relative;
}

.loading::after {
  position: absolute;
  animation: spinAround .5s infinite linear;
  border: 2px solid var(--regular-green);
  border-radius: 100%;
  border-right-color: transparent;
  border-top-color: transparent;
  content: "";
  display: block;
  height: 1em;
  width: 1em;
}

.loading * {
  opacity: 0;
}

td.loading {
  display: table-cell;
}

td.loading::after {
  left: calc(50% - .5em);
  top: calc(50% - .5em);
  position: absolute;
}

.header {
  color: var(--header-color);
  text-transform: uppercase;
}

h3.error,
h2.error {
  text-align: center;
}

h2.error {
  padding: 40px;
}

h3.error {
  padding: 20px;
  white-space: normal;
}

.upper-text {
  text-transform: uppercase;
}

.modal {
  align-items: center;
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  position: fixed;
  z-index: 999;
  bottom: 0;
  left: 0;
  right: 0;
  top: 0;
}

.modal.is-active {
  display: flex;
}

.modal-background {
  background-color: rgba(10,10,10,.86);
  position: absolute;
  bottom: 0;
  right: 0;
  left: 0;
  top: 0;
}

.modal-content {
  z-index: 1000;
}

.welcome .modal-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.welcome .modal-content h1 {
  color: #f5f5f5;
  opacity: .9;
  margin: 0;
  padding: 1rem 1rem 0 1rem;
}

.welcome .modal-content img {
  width: 90%;
  height: auto;
}

.welcome .modal-content p {
  color: #f5f5f5;
  opacity: .9;
  padding: 1rem;
  text-align: center;
}

.welcome .modal-content button {
  background: #86af6b;
  font-size: 1rem;
  padding: .75rem;
  margin: 0;
  border: none;
  color: white;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  border-radius: 4px;
}

@media screen and (max-width: 768px) {
  .is-hidden-mobile,
  .is-hidden-touch {
    display: none!important;
  }
}

@media screen and (min-width: 769px) {
  .is-hidden-tablet,
  .is-hidden-touch {
    display: none!important;
  }
}

@media screen and (min-width: 1024px) {
  .is-hidden-desktop {
    display: none!important;
  }
}
